package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxDateAmountRecord;

public interface WxDateAmountRecordService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxDateAmountRecord> listAsPage(WxDateAmountRecord record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxDateAmountRecord getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxDateAmountRecord record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

	/**
	 * 记录每日交易核销总额
	 */

	void saveAmount(WxDateAmountRecord amount);
	
}
